Subject: Re: g++ executables / bash window
From: [email-masked] (Geoffrey Noer)

23 Sep 1998 02:27:35 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Romain Behar <[email-masked]>
Cc: [email-masked]

On Mon, Sep 21, 1998 at 10:56:04PM +0200, Romain Behar wrote:
>
> I've been using FreeBSD, then installed GNU-Win32B19 on NT4.
> I noticed that g++ executables are very big when compiled with
> GNU-Win32, that is 330Kb for a simple `cout << "Hello world!";' while
> the C version is less than 20Kb.
> Under FreeBSD which runs GNU g++ too, there is no such a differnce.

These is the same source, compiled for both platforms?  I bet they're
not.

> Is there a compiler option that reduces executable size to its minimum?

Try adding -fno-rtti -fno-exceptions into the mix...

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".